Index: uspace/lib/c/generic/inet/tcp.c
===================================================================
--- uspace/lib/c/generic/inet/tcp.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/lib/c/generic/inet/tcp.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -637,5 +637,5 @@
  * @param icall Call data
  */
-static void tcp_ev_connected(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_connected(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -647,5 +647,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -656,5 +656,5 @@
 	fibril_mutex_unlock(&conn->lock);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -665,5 +665,5 @@
  * @param icall Call data
  */
-static void tcp_ev_conn_failed(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_conn_failed(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -675,5 +675,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -684,5 +684,5 @@
 	fibril_mutex_unlock(&conn->lock);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -693,5 +693,5 @@
  * @param icall Call data
  */
-static void tcp_ev_conn_reset(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_conn_reset(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -703,5 +703,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -712,5 +712,5 @@
 	fibril_mutex_unlock(&conn->lock);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -721,5 +721,5 @@
  * @param icall Call data
  */
-static void tcp_ev_data(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -731,5 +731,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -741,5 +741,5 @@
 		conn->cb->data_avail(conn);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -750,7 +750,7 @@
  * @param icall Call data
  */
-static void tcp_ev_urg_data(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	async_answer_0(iid, ENOTSUP);
+static void tcp_ev_urg_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	async_answer_0(icall_handle, ENOTSUP);
 }
 
@@ -761,5 +761,5 @@
  * @param icall Call data
  */
-static void tcp_ev_new_conn(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_new_conn(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_listener_t *lst;
@@ -776,5 +776,5 @@
 	rc = tcp_listener_get(tcp, lst_id, &lst);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -782,5 +782,5 @@
 	rc = tcp_conn_new(tcp, conn_id, lst->cb, lst->cb_arg, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -789,5 +789,5 @@
 		cinfo = calloc(1, sizeof(tcp_in_conn_t));
 		if (cinfo == NULL) {
-			async_answer_0(iid, ENOMEM);
+			async_answer_0(icall_handle, ENOMEM);
 			return;
 		}
@@ -798,5 +798,5 @@
 		fid = fibril_create(tcp_conn_fibril, cinfo);
 		if (fid == 0) {
-			async_answer_0(iid, ENOMEM);
+			async_answer_0(icall_handle, ENOMEM);
 		}
 
@@ -804,5 +804,5 @@
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -813,13 +813,13 @@
  * @param arg Argument, TCP client
  */
-static void tcp_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void tcp_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	tcp_t *tcp = (tcp_t *)arg;
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -830,23 +830,23 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case TCP_EV_CONNECTED:
-			tcp_ev_connected(tcp, callid, &call);
+			tcp_ev_connected(tcp, chandle, &call);
 			break;
 		case TCP_EV_CONN_FAILED:
-			tcp_ev_conn_failed(tcp, callid, &call);
+			tcp_ev_conn_failed(tcp, chandle, &call);
 			break;
 		case TCP_EV_CONN_RESET:
-			tcp_ev_conn_reset(tcp, callid, &call);
+			tcp_ev_conn_reset(tcp, chandle, &call);
 			break;
 		case TCP_EV_DATA:
-			tcp_ev_data(tcp, callid, &call);
+			tcp_ev_data(tcp, chandle, &call);
 			break;
 		case TCP_EV_URG_DATA:
-			tcp_ev_urg_data(tcp, callid, &call);
+			tcp_ev_urg_data(tcp, chandle, &call);
 			break;
 		case TCP_EV_NEW_CONN:
-			tcp_ev_new_conn(tcp, callid, &call);
+			tcp_ev_new_conn(tcp, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
